VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Public Member Functions | Static Public Attributes | List of all members
IUnitHandler Class Referenceabstract

Host callback for unit support: Vst::IUnitHandler. More...

`#include <ivstunits.h>`

Inheritance diagram for IUnitHandler:

## Public Member Functions
virtual tresult | notifyUnitSelection (UnitID unitId)=0
| Notify host when a module is selected in plug-in GUI. More...
virtual tresult | notifyProgramListChange (ProgramListID listId, int32 programIndex)=0
| Tell host that the plug-in controller changed a program list (rename, load, PitchName changes). More...
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Host callback for unit support: Vst::IUnitHandler.

- [host imp]
- [extends IComponentHandler]
- [released: 3.0.0]
- [optional]

Host callback interface, used with IUnitInfo. Retrieve via queryInterface from IComponentHandler.

See also
  vst3Units, IUnitInfo

## Member Function Documentation

## ◆ notifyUnitSelection()

virtual tresult notifyUnitSelection | ( | UnitID | unitId | ) |
| pure virtual

Notify host when a module is selected in plug-in GUI.

## ◆ notifyProgramListChange()

virtual tresult notifyProgramListChange | ( | ProgramListID | listId,
|  | int32 | programIndex
| ) |  |
| pure virtual

Tell host that the plug-in controller changed a program list (rename, load, PitchName changes).

Parameters

  listId | is the specified program list ID to inform.
  programIndex | : when kAllProgramInvalid, all program information is invalid, otherwise only the program of given index.

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.